summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-11-29 10:47:12 +0100
committerJim Meyering <meyering@redhat.com>2008-12-03 11:02:57 +0100
commit9b8023e69c3ae9cd54e724fe63bd81e55bc00e6a (patch)
tree81a3e1885c14ca4ba922875c6f53f0ea274db02b /tests
parentb8497a3a7af5cacb6348854370b2b0d68fc66695 (diff)
downloadcoreutils-9b8023e69c3ae9cd54e724fe63bd81e55bc00e6a.tar.xz
tests: ensure that chmod, chgrp and chown honor --silent
* tests/chmod/silent: New file, to test all three programs. * tests/Makefile.am (TESTS): Add chmod/silent. * NEWS (Bug fixes): Mention this. The bug was introduced in 96a5d2ce6a53d96cb667af78f13e56fadcdb91e6.
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am1
-rwxr-xr-xtests/chmod/silent36
2 files changed, 37 insertions, 0 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 2122ea75a..8dbbe9f26 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -238,6 +238,7 @@ TESTS = \
chmod/inaccessible \
chmod/octal \
chmod/setgid \
+ chmod/silent \
chmod/thru-dangling \
chmod/umask-x \
chmod/usage \
diff --git a/tests/chmod/silent b/tests/chmod/silent
new file mode 100755
index 000000000..d61caf553
--- /dev/null
+++ b/tests/chmod/silent
@@ -0,0 +1,36 @@
+#!/bin/sh
+# ensure that chgrp, chmod, chown -f don't print some diagnostics
+
+# Copyright (C) 2008 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ chgrp --version
+ chmod --version
+ chown --version
+fi
+
+. $srcdir/test-lib.sh
+
+fail=0
+chmod -f 0 no-such 2> out && fail=1
+chgrp -f 0 no-such 2>> out && fail=1
+chown -f 0:0 no-such 2>> out && fail=1
+touch exp || fail=1
+
+compare out exp || fail=1
+
+Exit $fail